Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004417OCamlCamlp4public2007-10-12 00:282010-04-29 14:26
Reporterjm 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version3.10+dev 
Summary0004417: Camlp4 sticks unary negation to its argument.
Description% cat test.ml4
let r = ref 0
let _ =
        if true then (- !r) else 42
% camlp4of -printer o -impl test.ml4 > test.ml
% ocamlc -c -impl test.ml4
% ocamlc -c test.ml
File "test.ml", line 3, characters 21-23:
Syntax error
2% cat test.ml
let r = ref 0
  
let _ = if true then -!r else 42
  

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004360)
ertai (developer)
2007-11-27 14:37

Thanks for the report. This is now fixed in the CVS (both in trunk and release310 branch).

- Issue History
Date Modified Username Field Change
2007-10-12 00:28 jm New Issue
2007-11-10 14:11 xleroy Status new => assigned
2007-11-10 14:11 xleroy Assigned To => ertai
2007-11-27 14:37 ertai Note Added: 0004360
2007-11-27 14:37 ertai Status assigned => resolved
2007-11-27 14:37 ertai Resolution open => fixed
2007-11-27 14:37 ertai Fixed in Version => 3.10+dev
2010-04-29 14:26 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker